PLS62 Firmware

The minimum firmware required for the PLS62W and PLS62T-S to host Intelligent Cloud Connect is 02.010

The Windows update package for this is attached here

 

Have more questions? Submit a request

Comments

Powered by Zendesk